<?php
/**
 * @link      http://www.u-bo.com
 * @copyright 南京友博网络科技有限公司
 * @license   http://www.u-bo.com/license/
 */

namespace home\modules\contract\models;

use Yii;
use yii\db\ActiveRecord;
use yii\db\Query;

/**
 * 项目回收站表 ({{qc_contract_trash}})
 *
 * 字段与合同表相同
 *
 * @author zealxd http://blog.u-bo.com
 * @since 0.1
 */
class ContractTrash extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%contract_trash}}';
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        $scenario = parent::scenarios();
        $scenario['trash'] = array_keys(self::getTableSchema()->columns);
        return $scenario;
    }

}
